Bug 599606 - Review Request: maven-invoker-plugin - Maven Invoker Plugin
Review Request: maven-invoker-plugin - Maven Invoker Plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 11:22 EDT by Weinan Li
Modified: 2010-07-21 11:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-09 02:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Weinan Li 2010-06-03 11:22:49 EDT
Spec URL: http://weli.fedorapeople.org/packages/fedora-14/maven-invoker-plugin/maven-invoker-plugin.spec
SRPM URL: http://weli.fedorapeople.org/packages/fedora-14/maven-invoker-plugin/maven-invoker-plugin-1.5-1.src.rpm
Description: The Maven Invoker Plugin is used to run a set of Maven projects.

Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2227551
Comment 1 Alexander Kurtakov 2010-06-04 10:24:53 EDT
I'll take this one.
Comment 2 Alexander Kurtakov 2010-06-04 10:31:03 EDT
Review:

FIXIT: rpmlint must be run on every package. Output:
maven-invoker-plugin.noarch: W: incoherent-version-in-changelog 1:1.5-1 ['1.5-1.fc13', '1.5-1']
Fix it.

maven-invoker-plugin.noarch: W: no-documentation
maven-invoker-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-invoker-plugin


False positives. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8.    
OK: Provides/Obsoletes are good.    

One more thing use BuildRequires: maven-javadoc-plugin instead of BuildRequires: maven2-plugin-javadoc
Comment 3 Weinan Li 2010-06-07 04:02:39 EDT
- Fix incoherent version in changelog
- BR: maven-javadoc-plugin

Spec URL: http://weli.fedorapeople.org/packages/fedora-14/maven-invoker-plugin/maven-invoker-plugin.spec
SRPM URL: http://weli.fedorapeople.org/packages/fedora-14/maven-invoker-plugin/maven-invoker-plugin-1.5-2.src.rpm
Description: The Maven Invoker Plugin is used to run a set of Maven projects.

Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a
successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2234826
Comment 4 Alexander Kurtakov 2010-06-07 04:33:15 EDT
Thanks,

This package is APPROVED.
Comment 5 Weinan Li 2010-06-07 05:05:08 EDT
New Package CVS Request
=======================
Package Name: maven-invoker-plugin
Short Description: The Maven Invoker Plugin is used to run a set of Maven projects.
Owners: weli
Branches: 
InitialCC:
Comment 6 Kevin Fenzi 2010-06-07 17:11:43 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Orion Poplawski 2010-07-13 18:36:21 EDT
Shouldn't this require maven-invoker?

2) org.apache.maven.shared:maven-invoker:jar:2.0.11
  Try downloading the file manually from the project website.
  Then, install it using the command: 
      mvn install:install-file -DgroupId=org.apache.maven.shared -DartifactId=maven-invoker -Dversion=2.0.11 -Dpackaging=jar -Dfile=/path/to/file
  Alternatively, if you host your own repository you can deploy the file there: 
      mvn deploy:deploy-file -DgroupId=org.apache.maven.shared -DartifactId=maven-invoker -Dversion=2.0.11 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
  Path to dependency: 
  	1) org.apache.maven.plugins:maven-invoker-plugin:maven-plugin:1.5
  	2) org.apache.maven.shared:maven-invoker:jar:2.0.11
Comment 8 Orion Poplawski 2010-07-13 18:37:57 EDT
I'm also getting:

1) org.apache.maven.reporting:maven-reporting-impl:jar:2.0.4.1
  Try downloading the file manually from the project website.
  Then, install it using the command: 
      mvn install:install-file -DgroupId=org.apache.maven.reporting -DartifactId=maven-reporting-impl -Dversion=2.0.4.1 -Dpackaging=jar -Dfile=/path/to/file
  Alternatively, if you host your own repository you can deploy the file there: 
      mvn deploy:deploy-file -DgroupId=org.apache.maven.reporting -DartifactId=maven-reporting-impl -Dversion=2.0.4.1 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
  Path to dependency: 
  	1) org.apache.maven.plugins:maven-invoker-plugin:maven-plugin:1.5
  	2) org.apache.maven.reporting:maven-reporting-impl:jar:2.0.4.1

So it looks like this package has unmet dependencies.
Comment 9 Weinan Li 2010-07-20 09:43:38 EDT
Hi Orion, did you meet this problem while building this plugin or using it?
Comment 10 Orion Poplawski 2010-07-20 11:17:20 EDT
Trying to use it.  See http://koji.fedoraproject.org/koji/taskinfo?taskID=2331183
Comment 11 Weinan Li 2010-07-21 02:44:35 EDT
Orion, The above link seems don't contain the problem you've mentioned. Maybe it's a wrong link? Anyway, I've reviewed the maven-invoker-plugin, and it do needs the above two requires, and also several build requires changed also after imported into rawhide. I've fixed the problems and rebuilt it:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2332804

Thanks.
Comment 12 Orion Poplawski 2010-07-21 11:13:02 EDT
Ah, I just fired off the build without checking the result.  Indeed, a different result than last time.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.